# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nimiq-network-interface"
version = "1.2.2"
authors = ["The Nimiq Core Development Team <info@nimiq.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Nimiq's network implementation in Rust"
homepage = "https://nimiq.com"
readme = false
keywords = [
    "nimiq",
    "cryptocurrency",
    "blockchain",
]
categories = ["cryptography::cryptocurrencies"]
license = "Apache-2.0"
repository = "https://github.com/nimiq/core-rs-albatross"
resolver = "2"

[badges.is-it-maintained-issue-resolution]
repository = "nimiq/core-rs"

[badges.is-it-maintained-open-issues]
repository = "nimiq/core-rs"

[badges.maintenance]
status = "experimental"

[badges.travis-ci]
branch = "master"
repository = "nimiq/core-rs"

[lib]
name = "nimiq_network_interface"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.bitflags]
version = "2.11"
features = ["serde"]

[dependencies.futures]
version = "0.3.30"
package = "futures-util"

[dependencies.log]
version = "0.1.40"
features = ["log"]
package = "tracing"

[dependencies.multiaddr]
version = "0.18"

[dependencies.nimiq-serde]
version = "1.2.2"
default-features = false

[dependencies.nimiq-utils]
version = "1.2.2"
features = ["tagged-signing"]
default-features = false

[dependencies.serde]
version = "1.0"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.49"
features = ["rt"]

[dependencies.tokio-stream]
version = "0.1"
features = [
    "default",
    "sync",
]

[lints.clippy]
assigning_clones = "allow"
empty_docs = "allow"
large_enum_variant = "allow"
result_large_err = "allow"
too_many_arguments = "allow"
type_complexity = "allow"

[lints.rust]
unused_qualifications = "warn"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(tokio_unstable)"]
